Seed Data
Pre-populated test data and credentials for the staging environment.
Staging Environment
The staging environment is pre-seeded with test wallets, transactions, and payment methods. Use the credentials below to authenticate and test all 76 endpoints.
Test Credentials
| Role | Password | Tenant ID | |
|---|---|---|---|
| Super Admin | admin@eventzr.com | Password123! | 00000000-0000-4000-a000-000000000001 |
| Developer | dev@eventzr.com | Password123! | 00000000-0000-4000-a000-000000000001 |
| Organizer | organizer@eventzr.com | Password123! | 00000000-0000-4000-a000-000000000001 |
| User | user@eventzr.com | Password123! | 00000000-0000-4000-a000-000000000001 |
Demo Tenant
| Field | Value |
|---|---|
| Tenant ID | 00000000-0000-4000-a000-000000000001 |
| Admin User ID | 00000000-0000-4000-a000-000000000002 |
| Auth Login URL | https://535ubezkse.execute-api.us-east-1.amazonaws.com/auth/v1/login |
| Wallet Base URL | https://535ubezkse.execute-api.us-east-1.amazonaws.com/wallet/v1 |
Quick Access Examples
Step 1: Login to get a JWT tokenbash
curl -s -X POST https://535ubezkse.execute-api.us-east-1.amazonaws.com/auth/v1/login \
-H "Content-Type: application/json" \
-H "x-tenant-id: 00000000-0000-4000-a000-000000000001" \
-d '{
"email": "admin@eventzr.com",
"password": "Password123!"
}'
# Save the accessToken from the response:
export TOKEN="<accessToken-from-response>"Step 2: List all walletsbash
curl -s -X GET https://535ubezkse.execute-api.us-east-1.amazonaws.com/wallet/v1/wallets \
-H "Authorization: Bearer $TOKEN" \
-H "x-tenant-id: 00000000-0000-4000-a000-000000000001"Step 3: Create a walletbash
curl -s -X POST https://535ubezkse.execute-api.us-east-1.amazonaws.com/wallet/v1/wallets \
-H "Authorization: Bearer $TOKEN" \
-H "x-tenant-id: 00000000-0000-4000-a000-000000000001" \
-H "Content-Type: application/json" \
-d '{
"ownerId": "00000000-0000-4000-a000-000000000002",
"ownerType": "user",
"currency": "USD",
"name": "My Wallet"
}'Step 4: Check AI creditsbash
curl -s -X GET "https://535ubezkse.execute-api.us-east-1.amazonaws.com/wallet/v1/credits/00000000-0000-4000-a000-000000000002/balance" \
-H "Authorization: Bearer $TOKEN" \
-H "x-tenant-id: 00000000-0000-4000-a000-000000000001"Step 5: Get FX ratesbash
curl -s -X GET "https://535ubezkse.execute-api.us-east-1.amazonaws.com/wallet/v1/fx-rates?source=USD&target=INR" \
-H "Authorization: Bearer $TOKEN" \
-H "x-tenant-id: 00000000-0000-4000-a000-000000000001"Endpoint Groups Summary
| Group | Endpoints | Auth |
|---|---|---|
| Wallets | 10 | JWT |
| Transactions | 8 | JWT |
| Credits | 6 | JWT |
| Escrow | 6 | JWT |
| Payment Methods | 5 | JWT |
| Split Payments | 4 | JWT |
| FX Rates | 4 | JWT |
| Fraud Detection | 3 | JWT (Pro+) |
| Web3 | 3 | JWT (ProMax+) |
| Analytics | 5 | JWT |
| Researcher Payouts | 4 | JWT |
| Knowledge Graph | 3 | JWT |
| DLQ Management | 3 | JWT (Admin) |
| Audit | 4 | mTLS |
| Jobs | 5 | API Key |
| Health | 3 | None |